using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore.Model;
using SysCore.DAL;
using SysCore.Control;

public partial class System_Role_Role_Edit : System.Web.UI.Page
{
    public AuthUI auth = new AuthUI();
    public Hashtable xview = new Hashtable();
    protected void Page_Load(object sender, EventArgs e)
    {
        string action = Request["action"];
        xview.Add("action", action);
        //update为修改状态
        if (action.Equals("Update")) BindData();
    }
    /// <summary>
    /// 绑定页面数据
    /// </summary>
    void BindData()
    {
        int id = Convert.ToInt32(Request["id"]);
        RoleDAL dal = new RoleDAL();
        Role m = dal.Get(id);
        xview.Add("id", id);
        xview.Add("role_name", m.role_name);
        xview.Add("status", m.status);
    }
}